package com.palmnest.model.property;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * tb_organization entity.
 *
 * @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "tb_organization")
public class TbOrganization implements java.io.Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = -2150713672668778654L;

	// Fields
	private Integer id;
	private String  name;
	private String  code;
	private String  type;
	private String  telephone;
	private String  provinceCode;
	private String  provinceName;
	private String  cityCode;
	private String  cityName;
	private String  address;
	private Double  lng;
	private Double  lat;
	private String  status;            //项目状态（0-待审核，1-通过，2-不通过）
	private String  applicantName;    //申请人姓名
	private String  applicantPhone;    //申请人电话
	private String  applicantIdentity;//申请人身份
	private String  reviewRemark;    //审核信息说明
	private Integer wxUserId;        //微信用户ID
	private Date    createTime;
	private String  creator;
	private Date    modifyTime;
	private String  modifier;
	private String  isEnabled;
	private int     isSyncNeigou; //是否同步内购网
	@JsonIgnore
	private String  mettingClient;//会议室客户端编码
	@JsonIgnore
	private String  postofficeClient;//小邮局项目编码
	@JsonIgnore
	private String  hdProjectId;//航电项目id--π平台对接项目ID
	@JsonIgnore
	private String  hdProjectName;//航电项目名称
	@JsonIgnore
	private String  hdVoiceProjectId;//航电项目id--客户声音对接项目ID
	@JsonIgnore
	private String  hdVoiceProjectName;//航电客户声音项目名称
	//	private Set<FloorInfo> floors=new HashSet<FloorInfo>();
	@JsonIgnore
	private Integer accountType;//航电项目名称
	private String passType;// 通行方式 1-face++  2-二维码
	private String  wjxAccount;    //问卷星账号
	
	
    private String     koalaAuthUrl;
    private String     koalaUserName;
    private String     koalaUserPwd;
    
    private Integer isLinglingAudit;//访客不需要审核:1-不需要审核；0-需要审核；
    
    
	

	public String getPassType() {
		return passType;
	}

	public void setPassType(String passType) {
		this.passType = passType;
	}

	// Property accessors
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "ID", unique = true, nullable = false)
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Column(name = "name")
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}




	@Column(name = "isSyncNeigou")
	public int getIsSyncNeigou() {
		return isSyncNeigou;
	}

	public void setIsSyncNeigou(int isSyncNeigou) {
		this.isSyncNeigou = isSyncNeigou;
	}


	@Column(name = "code")
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@Column(name = "type")
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	@Column(name = "telephone")
	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	@Column(name = "provinceCode")
	public String getProvinceCode() {
		return provinceCode;
	}

	public void setProvinceCode(String provinceCode) {
		this.provinceCode = provinceCode;
	}

	@Column(name = "provinceName")
	public String getProvinceName() {
		return provinceName;
	}

	public void setProvinceName(String provinceName) {
		this.provinceName = provinceName;
	}

	@Column(name = "cityCode")
	public String getCityCode() {
		return cityCode;
	}

	public void setCityCode(String cityCode) {
		this.cityCode = cityCode;
	}

	@Column(name = "cityName")
	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	@Column(name = "address")
	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	@Column(name = "lng")
	public Double getLng() {
		return lng;
	}

	public void setLng(Double lng) {
		this.lng = lng;
	}

	@Column(name = "lat")
	public Double getLat() {
		return lat;
	}

	public void setLat(Double lat) {
		this.lat = lat;
	}

	@Column(name = "status")
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	@Column(name = "applicantName")
	public String getApplicantName() {
		return applicantName;
	}

	public void setApplicantName(String applicantName) {
		this.applicantName = applicantName;
	}

	@Column(name = "applicantPhone")
	public String getApplicantPhone() {
		return applicantPhone;
	}

	public void setApplicantPhone(String applicantPhone) {
		this.applicantPhone = applicantPhone;
	}

	@Column(name = "applicantIdentity")
	public String getApplicantIdentity() {
		return applicantIdentity;
	}

	public void setApplicantIdentity(String applicantIdentity) {
		this.applicantIdentity = applicantIdentity;
	}

	@Column(name = "reviewRemark")
	public String getReviewRemark() {
		return reviewRemark;
	}

	public void setReviewRemark(String reviewRemark) {
		this.reviewRemark = reviewRemark;
	}

	@Column(name = "wxUserId")
	public Integer getWxUserId() {
		return wxUserId;
	}

	public void setWxUserId(Integer wxUserId) {
		this.wxUserId = wxUserId;
	}

	@Column(name = "createTime")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Column(name = "creator")
	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	@Column(name = "modifyTime")
	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	@Column(name = "modifier")
	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	@Column(name = "isEnabled")
	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	public String getMettingClient() {
		return mettingClient;
	}

	public void setMettingClient(String mettingClient) {
		this.mettingClient = mettingClient;
	}

	@Column(name = "hdProjectId")
	public String getHdProjectId() {
		return hdProjectId;
	}

	public void setHdProjectId(String hdProjectId) {
		this.hdProjectId = hdProjectId;
	}

	@Column(name = "hdVoiceProjectId")
	public String getHdVoiceProjectId() {
		return hdVoiceProjectId;
	}

	public void setHdVoiceProjectId(String hdVoiceProjectId) {
		this.hdVoiceProjectId = hdVoiceProjectId;
	}

	@Column(name = "hdVoiceProjectName")
	public String getHdVoiceProjectName() {
		return hdVoiceProjectName;
	}

	public void setHdVoiceProjectName(String hdVoiceProjectName) {
		this.hdVoiceProjectName = hdVoiceProjectName;
	}

	@Column(name = "hdProjectName")
	public String getHdProjectName() {
		return hdProjectName;
	}

	public void setHdProjectName(String hdProjectName) {
		this.hdProjectName = hdProjectName;
	}

	@Column(name = "accountType")
	public Integer getAccountType() {
		return accountType;
	}

	public void setAccountType(Integer accountType) {
		this.accountType = accountType;
	}

	@Override
	public String toString() {
		return "TbOrganization [id=" + id + ", name=" + name + ", status=" + status + ", isEnabled=" + isEnabled + "]";
	}

	public String getPostofficeClient() {
		return postofficeClient;
	}

	public void setPostofficeClient(String postofficeClient) {
		this.postofficeClient = postofficeClient;
	}

	public String getWjxAccount() {
		return wjxAccount;
	}

	public void setWjxAccount(String wjxAccount) {
		this.wjxAccount = wjxAccount;
	}

	private int isSetMessage;//是否开启短信提醒(0未开启1开启)


	public int getIsSetMessage() {
		return isSetMessage;
	}

	public void setIsSetMessage(int isSetMessage) {
		this.isSetMessage = isSetMessage;
	}

	@Column(name = "koala_auth_url")
	public String getKoalaAuthUrl() {
		return koalaAuthUrl;
	}

	public void setKoalaAuthUrl(String koalaAuthUrl) {
		this.koalaAuthUrl = koalaAuthUrl;
	}

	@Column(name = "koala_user_name")
	public String getKoalaUserName() {
		return koalaUserName;
	}

	public void setKoalaUserName(String koalaUserName) {
		this.koalaUserName = koalaUserName;
	}

	@Column(name = "koala_user_pwd")
	public String getKoalaUserPwd() {
		return koalaUserPwd;
	}

	public void setKoalaUserPwd(String koalaUserPwd) {
		this.koalaUserPwd = koalaUserPwd;
	}	
	
	
	private int isSetWechatMessage;//是否开启微信客服消息提醒(0未开启1开启)


	public int getIsSetWechatMessage() {
		return isSetWechatMessage;
	}

	public void setIsSetWechatMessage(int isSetWechatMessage) {
		this.isSetWechatMessage = isSetWechatMessage;
	}

	public Integer getIsLinglingAudit() {
		return isLinglingAudit;
	}

	public void setIsLinglingAudit(Integer isLinglingAudit) {
		this.isLinglingAudit = isLinglingAudit;
	}
	
	
	
	
//	@OneToMany(cascade = { CascadeType.PERSIST, CascadeType.REFRESH,     
//			CascadeType.REMOVE }, fetch = FetchType.EAGER,mappedBy = "org")   
//		public Set<FloorInfo> getFloors() {
//			return floors;
//		}
//
//		public void setFloors(Set<FloorInfo> floors) {
//			this.floors = floors;
//		}


}